Subject: Re: bug#18278: [PATCH] bug#18130: rmail.el: handle imaps, pops, and local source mailboxes (maildir, MH, etc.)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Sep 2014 18:51:56 +0300

> From: Carlos Pita <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 09 Sep 2014 12:46:08 -0300
> 
> > So the only issue that bothers me here is: would the new code still
> > work with the old movemail, and how does the code detect whether it
> > invokes old or new one?
> 
> please take into account that this is mainly a bug fix (see bug report
> #18130, which originated this new report and corresponding patch). It's
> not an improvement on or an enhancement of the "old movemail". Currently
> the emacs documentation on rmail states that it must work with the
> external movemail and that it must support additional protocols (by
> using this external tool). But both assertions are currently false. The
> rmail code already supports both movemail backends, indeed, but the
> support for the mailutils one is mostly broken.

Yes, I understand all that (I've read the patch).  But I don't think a
bugfix necessarily avoids the danger of breaking backwards
compatibility, which is why I asked.  I think my question still
stands.